org.optaplanner.benchmark.impl

## Class AbstractPlannerBenchmarkFactory

- java.lang.Object
- - org.optaplanner.benchmark.api.PlannerBenchmarkFactory
  - - org.optaplanner.benchmark.impl.AbstractPlannerBenchmarkFactory

- Direct Known Subclasses:
    EmptyPlannerBenchmarkFactory, FreemarkerXmlPlannerBenchmarkFactory, XStreamXmlPlannerBenchmarkFactory

      public class AbstractPlannerBenchmarkFactory
      extends PlannerBenchmarkFactory

  See Also:
    `PlannerBenchmarkFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PlannerBenchmarkConfig` | `plannerBenchmarkConfig`
    `protected SolverConfigContext` | `solverConfigContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPlannerBenchmarkFactory()`
    `AbstractPlannerBenchmarkFactory(SolverConfigContext solverConfigContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlannerBenchmark` | `buildPlannerBenchmark()` Creates a new `PlannerBenchmark` instance.
    `<Solution_> PlannerBenchmark` | `buildPlannerBenchmark(List<Solution_> problemList)` Creates a new `PlannerBenchmark` instance for datasets that are already in memory.
    `<Solution_> PlannerBenchmark` | `buildPlannerBenchmark(Solution_... problems)` Creates a new `PlannerBenchmark` instance for datasets that are already in memory.
    `void` | `checkPlannerBenchmarkConfigNotNull()`
    `PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()` Allows you to programmatically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

    - ### Methods inherited from class org.optaplanner.benchmark.api.PlannerBenchmarkFactory

      `createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromSolverFactory, createFromSolverFactory, createFromXmlFile, createFromXmlFile, createFromXmlInputStream, createFromXmlInputStream, createFromXmlReader, createFromXmlReader, createFromXmlResource, createFromXmlResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### solverConfigContext

          protected final SolverConfigContext solverConfigContext

    - #### plannerBenchmarkConfig

          protected PlannerBenchmarkConfig plannerBenchmarkConfig

  - ### Constructor Detail

    - #### AbstractPlannerBenchmarkFactory

          public AbstractPlannerBenchmarkFactory()

    - #### AbstractPlannerBenchmarkFactory

          public AbstractPlannerBenchmarkFactory(SolverConfigContext solverConfigContext)

      Parameters:
        `solverConfigContext` - never null

  - ### Method Detail

    - #### getPlannerBenchmarkConfig

          public PlannerBenchmarkConfig getPlannerBenchmarkConfig()

      Description copied from class: `PlannerBenchmarkFactory`
      Allows you to programmatically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

      This method is not thread-safe.

      Specified by:
        `getPlannerBenchmarkConfig` in class `PlannerBenchmarkFactory`
      Returns:
        never null

    - #### buildPlannerBenchmark

          public PlannerBenchmark buildPlannerBenchmark()

      Description copied from class: `PlannerBenchmarkFactory`
      Creates a new `PlannerBenchmark` instance.
      Specified by:
        `buildPlannerBenchmark` in class `PlannerBenchmarkFactory`
      Returns:
        never null

    - #### buildPlannerBenchmark

          @SafeVarargs
          public final <Solution_> PlannerBenchmark buildPlannerBenchmark(Solution_... problems)

      Description copied from class: `PlannerBenchmarkFactory`
      Creates a new `PlannerBenchmark` instance for datasets that are already in memory.
      Specified by:
        `buildPlannerBenchmark` in class `PlannerBenchmarkFactory`
      Type Parameters:
        `Solution_` - the solution type, the class with the `PlanningSolution` annotation
      Parameters:
        `problems` - never null, can be none
      Returns:
        never null

    - #### buildPlannerBenchmark

          public <Solution_> PlannerBenchmark buildPlannerBenchmark(List<Solution_> problemList)

      Description copied from class: `PlannerBenchmarkFactory`
      Creates a new `PlannerBenchmark` instance for datasets that are already in memory.
      Specified by:
        `buildPlannerBenchmark` in class `PlannerBenchmarkFactory`
      Type Parameters:
        `Solution_` - the solution type, the class with the `PlanningSolution` annotation
      Parameters:
        `problemList` - never null, can be empty
      Returns:
        never null

    - #### checkPlannerBenchmarkConfigNotNull

          public void checkPlannerBenchmarkConfigNotNull()

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.